#include <stdint.h>
#include <stdio.h>
#include <string.h>
/*
 * VERSION 1.0 Januar 7th 2010 LATE  File: 'one_wire_dualSwitch.c'
 * Author: Linda Fouedjio  based on Alejandro Gil
 */
#include <math.h>
#include <stdlib.h>
#include <util/delay.h>
#include <avr/pgmspace.h>

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/sleep.h>
#include <avr/iocan128.h>

#include "one_wire.h"
#include "one_wire_adc.h"
#include "one_wire_dualSwitch.h"
#include "one_wire_simpleSwitch.h"
#include "read_write_register.h"
#include "one_wire_temperature.h"

#include "adc.h"
#include "api.h"
#include "api_define.h"
#include "api_global.h"
#include "can.h"
#include "mem-check.h"

#include "OWIDeviceSpecific.h"
#include "OWIHighLevelFunctions.h"
#include "OWIBitFunctions.h"

void dualSwitches_ON(struct uartStruct *ptr_uartStruct) {

	NumDevicesFound = ReadDevicesID(BUSES, 0);
	//TO DO: check that the address of the switch is existing....

	//Example address: '05D5253000000084'
	// 		     deviceAddress[0]=0x05;deviceAddress[1]=0xD5;deviceAddress[2]=0x25;deviceAddress[3]=0x30;
	// 		     deviceAddress[4]=0x00;deviceAddress[5]=0x00;deviceAddress[6]=0x00;deviceAddress[7]=0x84;
}
/*this function contains all the functions that are necessary
 *to read state of dual switch 
 */

void read_status_dualSwitches(struct uartStruct *ptr_uartStruct) {
	NumDevicesFound = ReadDevicesID(BUSES, 0);
	if (0 < NumDevicesFound) {
		FindFamilyDevicesAndGetValues(BUSES, NumDevicesFound,
				FAMILY_DS2413_DUAL_SWITCH);
	}
#warning TODO: add else
}
